Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServerRequestInfo_CORBA_Policy_destroy Class Reference

Inheritance diagram for TAO_ServerRequestInfo_CORBA_Policy_destroy:

[legend]
Collaboration diagram for TAO_ServerRequestInfo_CORBA_Policy_destroy:

[legend]
List of all members.

## Public Methods

| TAO_ServerRequestInfo_CORBA_Policy_destroy (TAO_ServerRequest &_tao_server_request, TAO_Object_Adapter::Servant_Upcall *tao_servant_upcall, POA_CORBA::Policy *tao_impl ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the list of arguments passed to the current operation.
virtual Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual char * | target_most_derived_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the most derived interface of the target object.
virtual CORBA::Boolean | target_is_a (const char *id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)

## Private Methods

| TAO_ServerRequestInfo_CORBA_Policy_destroy (const TAO_ServerRequestInfo_CORBA_Policy_destroy &)
void | operator= (const TAO_ServerRequestInfo_CORBA_Policy_destroy &)

## Private Attributes

POA_CORBA::Policy * | _tao_impl

## Constructor & Destructor Documentation

TAO_ServerRequestInfo_CORBA_Policy_destroy::TAO_ServerRequestInfo_CORBA_Policy_destroy | ( | TAO_ServerRequest & | _tao_server_request,
|  | TAO_Object_Adapter::Servant_Upcall * | tao_servant_upcall,
|  | POA_CORBA::Policy *tao_impl | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) |

TAO_ServerRequestInfo_CORBA_Policy_destroy::TAO_ServerRequestInfo_CORBA_Policy_destroy | ( | const TAO_ServerRequestInfo_CORBA_Policy_destroy & |  | ) | `[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ServerRequestInfo_CORBA_Policy_destroy::arguments | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of arguments passed to the current operation. Reimplemented from TAO_ServerRequestInfo.

Dynamic::ExceptionList * TAO_ServerRequestInfo_CORBA_Policy_destroy::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of exceptions the current operation is capable of throwing. Reimplemented from TAO_ServerRequestInfo.

void TAO_ServerRequestInfo_CORBA_Policy_destroy::operator= | ( | const TAO_ServerRequestInfo_CORBA_Policy_destroy & |  | ) | `[private]`

CORBA::Any * TAO_ServerRequestInfo_CORBA_Policy_destroy::result | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. Reimplemented from TAO_ServerRequestInfo.

CORBA::Boolean TAO_ServerRequestInfo_CORBA_Policy_destroy::target_is_a | ( | const char *id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Returns true if the target's type corresponds to the given RepositoryId. Reimplemented from TAO_ServerRequestInfo.

char * TAO_ServerRequestInfo_CORBA_Policy_destroy::target_most_derived_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the most derived interface of the target object. Reimplemented from TAO_ServerRequestInfo.

## Member Data Documentation

POA_CORBA::Policy* TAO_ServerRequestInfo_CORBA_Policy_destroy::_tao_impl`[private]`

The documentation for this class was generated from the following file:

- PolicyS.cpp